Bug 251525 - Review Request: bibexport - Extract entries from BibTeX and .aux files
Review Request: bibexport - Extract entries from BibTeX and .aux files
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-09 11:21 EDT by Patrice Dumas
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-27 14:51:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2007-08-09 11:21:49 EDT
Spec URL: http://www.environnement.ens.fr/perso/dumas/fc-srpms/bibexport.spec
SRPM URL: http://www.environnement.ens.fr/perso/dumas/fc-srpms/bibexport-2.10-1.fc8.src.rpm
Description: 
bibexport.sh is a small shell script, relying on BibTeX, that extracts
entries of one or several bib file(s). It will expand abbreviations
and cross-references, except standard month and journal
abbreviations. The output is indented as neatly as possible, yielding a
readable bib file even if the original one was not.
Comment 1 Jason Tibbitts 2007-10-23 00:19:34 EDT
Builds fine; rpmlint says:
  bibexport.noarch: W: invalid-license LaTeX
According to http://fedoraproject.org/wiki/Licensing, the License: tag should be "LPPL".

Otherwise everything looks good.

Review:
* source files match upstream:
   878458e6d161d876f049d2e2839e417260b50b180bb0756829a54e06cb18ed72  
   bibexport.zip 
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license (well, it uses the wrong 
   abbreviation)
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
X rpmlint has a valid complaint
* final provides and requires are sane:
   bibexport = 2.10-1.fc8
  =
   /bin/sh
   /usr/bin/texhash
   tetex
* %check is not present; no test suite upstream.  I have no idea at all how to 
   test this package.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets look OK (texhash is called because of files in 
   /usr/share/texmf/bibtex/bst/bibexport)
* code, not content.
* The documentation PDF is ten times the size of everything else in the package 
   combined, but teh package is still only 160K so there's no point in splitting 
   anything.
* %docs are not necessary for the proper functioning of the package.

APPROVED, provided you fix up the License: tag.
Comment 2 Patrice Dumas 2007-10-23 02:56:16 EDT
New Package CVS Request
=======================
Package Name: bibexport
Short Description: Extract entries from BibTeX and .aux files
Owners: pertusus [ AT ] free.fr
Branches: 
InitialCC: 
Cvsextras Commits: yes
Comment 3 Jason Tibbitts 2007-10-23 03:01:44 EDT
Owners: should contain FAS account names, not (obscured) email addresses.
Comment 4 Patrice Dumas 2007-10-23 03:11:03 EDT
New Package CVS Request
=======================
Package Name: bibexport
Short Description: Extract entries from BibTeX and .aux files
Owners: pertusus
Branches: 
InitialCC: 
Cvsextras Commits: yes


I wasn't aware about that very good change.
Comment 5 Patrice Dumas 2007-10-23 03:12:50 EDT
New Package CVS Request
=======================
Package Name: bibexport
Short Description: Extract entries from BibTeX and .aux files
Owners: pertusus
Branches: EL-4 EL-5
InitialCC: 
Cvsextras Commits: yes

Sorry, I forgot the EPEL branches...
Comment 6 Kevin Fenzi 2007-10-23 13:00:13 EDT
cvs done.
Comment 7 Patrice Dumas 2007-10-27 14:51:22 EDT
Built, thanks Tibbs.

Note You need to log in before you can comment on or make changes to this bug.